Create a new Besu Instance
post
/api/v1/besu/instance
Create a new Besu instance. The caller must be a member of the submitted instanceAccessGroup. Founder and participant payloads have different chain, validator-node, boot-node, and genesis-package requirements.
Request
Supported Media Types
- multipart/form-data
Header Parameters
-
Authorization(required): string
Bearer access token. Supply as: Bearer
.
Form Parameters
-
participantGenesisZip: file
Participant genesis metadata .zip. Required for participant Besu instances.
-
payload(required): string
JSON string containing the Besu instance creation details.Default Value:
{"name":"string","domainName":"example.com","instanceAccessGroup":"string","platformRole":"founder","configuration":"Enterprise","archiveNodes":1} -
thirdPartyCACert: file
Third party CA certificate archive.
-
thirdPartyTLSCert: file
Third party TLS certificate archive.
Response
Supported Media Types
- application/json
202 Response
Accepted
Headers
-
Location: string
Location Header with a URL to query the status of the request.
-
Retry-After: integer
Retry after N number of seconds.
400 Response
Bad Request
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings
401 Response
Unauthorized
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
403 Response
Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
500 Response
Internal Server Error
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings